Bug 734092 - 'Discovery Queue' portlet refresh is not working on dashboard
'Discovery Queue' portlet refresh is not working on dashboard
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2011-08-29 08:49 EDT by Jeeva Kandasamy
Modified: 2012-02-07 14:23 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Browser: Firefox 3.6.18 OS: RHEL 6.1 X86_64
Last Closed: 2012-02-07 14:23:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
discovery queue portlet (78.28 KB, image/jpeg)
2011-08-29 08:49 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2011-08-29 08:49:07 EDT
Created attachment 520379 [details]
discovery queue portlet

Description of problem:
Refresh is not working on 'Discovery Queue' portlet on dashboard.

Version-Release number of selected component (if applicable):
Version: 4.1.0-SNAPSHOT
Build Number: a98c893
GWT Version: 2.0.4
SmartGWT Version: 2.4
Browser: Firefox 3.6.18
OS: RHEL 6.1 X86_64

How reproducible:
100%

Steps to Reproduce:
1.Navigate to dashboard
2.Go to 'Edit mode' and add a 'Discovery queue' portlet
3.Go to 'View mode', expand a tree on discovery queue portlet and select an resource.
4.Do import or Ignore action. Action completes successfully. But the portlet is not getting refreshed. Click on refresh button on portlet is also not working. 

Actual results:
portlet is not getting refreshed and portlet refresh button also not working

Expected results:
Portlet should be refreshed on every action (Import/Ignore, etc). Refresh button also should work.

Additional info: screen shot is attached.
Comment 1 Jay Shaughnessy 2011-08-29 15:58:26 EDT
master commit 8768b15bed6ba114ba094b9661eda7d79b338b01
Comment 2 Jeeva Kandasamy 2011-08-30 07:17:47 EDT
'Discovery queue' portlet is working on the following build as expected.

Verified on:
Version: 4.1.1-BETA1
Build Number: 6db75f8
GWT Version: 2.0.4
SmartGWT Version: 2.4
Browser: Firefox 3.6.18
OS: RHEL 6.1 X86_64
Comment 3 Mike Foley 2012-02-07 14:23:24 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.